> For the complete documentation index, see [llms.txt](https://docs.digitalsamba.com/reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalsamba.com/reference/rest-api/webhooks/payload-structure.md).

# Payload structure

The payload structure (body) of the webhook **HTTP POST** request will look like this:

```json
{
  "eventType": "participant_joined",
  "sessionId": "4fcc375c-e0ce-4f52-9b35-3a034042ab5a",
  "roomId": "7f8c8eac-6643-47db-8d93-e7633e6e53ec",
  "timestamp": 1675790387,
  "data": {
    "participantId": "8b085f23-9a2a-465d-bdbb-73a233c7df90",
    "name": "John Smith",
    "role": "moderator"
  }
}
```

* **eventType** -> what kind of event is this webhook request sending - e.g. participant\_joined, participant\_left, recording\_ready, etc...
* **sessionId ->** id of the session where the event happened
* **roomId** -> id of the room where the event happened
* **timestamp ->** unix timestamp specifying when the event happened
* **data ->** contains concrete details about the event - e.g. which participant actually joined or left

If you have specified an **authorization\_header** during the [webhook creation](/reference/rest-api/webhooks/create.md), then you will receive an "**Authorization**" HTTP header in the webhook POST request with the following value:\
"**Bearer YOUR\_SECRET\_HERE**".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/webhooks/payload-structure.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
